> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the expiry for a particular domain

> Provides historical details about the domain whois record like name servers, domain status, registrar, etc



## OpenAPI

````yaml get /v1/domain/whois/{domain-name}/is-expired
openapi: 3.0.1
info:
  title: Odin
  description: >-
    ODIN APIs to search across IP Services, CVEs, Exposed Files/Buckets, Domains
    and more
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.odin.io/
security: []
paths:
  /v1/domain/whois/{domain-name}/is-expired:
    get:
      tags:
        - domain
      summary: Get the expiry for a particular domain
      description: >-
        Provides historical details about the domain whois record like name
        servers, domain status, registrar, etc
      parameters:
        - name: domain-name
          in: path
          description: domain
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/schema.DomainWhoisResponse'
                      meta:
                        $ref: '#/components/schemas/schema.PaginationMeta'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
        '408':
          description: Request Timeout
          content:
            application/json:
              schema:
                type: object
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
      security:
        - ApiKeyAuth: []
components:
  schemas:
    schema.DomainWhoisResponse:
      type: object
      properties:
        administrative_contact:
          $ref: '#/components/schemas/schema.Contact'
        audited_fields:
          $ref: '#/components/schemas/schema.Audit'
        billing_contact:
          $ref: '#/components/schemas/schema.Contact'
        created_date:
          type: string
        domain_name:
          type: string
        domain_status:
          type: array
          items:
            type: string
        expires_date:
          type: string
        name_servers:
          type: array
          items:
            type: string
        raw_data:
          type: string
          description: IngestedAt            time.Time  `json:"ingested_at"`
        registrant_contact:
          $ref: '#/components/schemas/schema.Contact'
        registrar:
          $ref: '#/components/schemas/schema.Registrar'
        technical_contact:
          $ref: '#/components/schemas/schema.Contact'
        tld:
          type: string
        updated_date:
          type: string
    schema.PaginationMeta:
      type: object
      properties:
        limit:
          type: integer
        pageState:
          type: string
    schema.Contact:
      type: object
      properties:
        address:
          type: string
        city:
          type: string
        company:
          type: string
        country:
          type: string
        country_code:
          type: string
        email:
          type: string
        email_domain:
          type: string
        fax:
          type: string
        name:
          type: string
        phone:
          type: string
        state:
          type: string
        zip:
          type: string
    schema.Audit:
      type: object
      properties:
        created_at:
          type: string
        expires_date:
          type: string
        is_modified:
          type: boolean
          description: is audit logic applied (update in dates to fix invalid values)
        updated_at:
          type: string
    schema.Registrar:
      type: object
      properties:
        id:
          type: string
          description: Adjusted field name for clarity
        name:
          type: string
        url:
          type: string
        whois:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-API-Key
      in: header

````